'csc 230 demonstration  program 
'while loop
'simulates the rolling of two dice, it counts the numbers of 
'roll it takes before snake eyes is rolled

Imports System.IO

Public Class FrmSnakeEyes
    Dim ProgramPath As String
    Dim RandomNumber As Random = New Random
    Dim RollCounter As Integer = 0

    'when button is clicked, (re)initialize counter 
    'and enable timer 
    Private Sub btnSnakeEyes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSnakeEyes.Click
        RollCounter = 0
        tmrDieRoll.Enabled = True
        lblSnakeEyesCount.Text = ""
    End Sub

    'images placed in  Debug folder in bin folder in folder for this project
    Private Sub FrmSnakeEyes_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ProgramPath = Directory.GetCurrentDirectory & "\"
    End Sub

    'timer events are known as ticks 
    'they occur at regular intervals set by the Interval property 
    'provided the timer is enabled 
    'which is a number of milliseconds -- 100 milliseconds is 0.1 second
    Private Sub tmrDieRoll_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrDieRoll.Tick
        Dim SnakeEyesRolled As Boolean = False
        Dim Die1 As Integer
        Dim Die2 As Integer

        RollCounter += 1                'increment the counter
        Die1 = RandomNumber.Next(1, 7)
        Die2 = RandomNumber.Next(1, 7)
        PicDie1.Image = Image.FromFile(ProgramPath & "Die" & Die1 & ".gif")
        picDie2.Image = Image.FromFile(ProgramPath & "Die" & Die2 & ".gif")

        If Die1 + Die2 = 2 Then
            SnakeEyesRolled = True
            lblSnakeEyesCount.Text = "The dice were rolled " & RollCounter & " times before snake eyes arose."
            tmrDieRoll.Enabled = False
            'stops the timer events when we get snake eyes
        End If

    End Sub
End Class
